site_name: Документация iptv.axenov.dev
site_description: Описание сервиса iptv.axenov.dev и его компонентов
site_author: Антон Аксенов
copyright: Антон Аксенов &copy; 2025 MIT License

repo_name: Репозиторий
repo_url: https://git.axenov.dev/IPTV/docs
edit_uri: src/branch/master/src/
remote_branch: master

docs_dir: ./src
use_directory_urls: false
watch:
  - src
extra_css:
  - assets/css/custom.css
extra_javascript:
  - https://unpkg.com/ionicons@7.1.0/dist/ionicons/ionicons.js

extra:
  homepage: /docs
  logo: assets/img/favicon/logo.png
  favicon: assets/img/favicon/logo.png
  social:
    - name: Канал @iptv_aggregator
      icon: simple/telegram
      link: https://t.me/iptv_aggregator
    - name: Чат @iptv_aggregator_chat
      icon: simple/telegram
      link: https://t.me/iptv_aggregator_chat

theme:
  name: 'material'
  language: ru
  features:
    - toc.follow
    - search.suggest
    - navigation.top
    - navigation.footer
    - navigation.indexes
    - content.action.edit
  icon:
    repo: simple/gitea
    edit: material/pencil
    view: material/eye
  palette:
    # Автотема
    - media: "(prefers-color-scheme)"
      toggle:
        icon: material/brightness-auto
        name: Switch to light mode
    # Тёмная тема
    - scheme: slate
      media: "(prefers-color-scheme: light)"
      accent: teal
      primary: black
      toggle:
        name: Светлая тема
        icon: material/weather-sunny
    # Светлая тема
    - scheme: default
      media: "(prefers-color-scheme: dark)"
      accent: teal
      primary: teal
      toggle:
        name: Тёмная тема
        icon: material/weather-night

plugins:
  - minify:
      minify_html: true
  - tags:
      tags: true
      listings: true
  - social:
      cards_layout_options:
        background_color: teal
        background_image: null
  - search:
      separator: '[\s\-\.]+'
      # indexing: 'full'

validation:
  omitted_files: warn
  absolute_links: warn
  unrecognized_links: warn
  anchors: warn

markdown_extensions:
  - admonition
  - pymdownx.details
  - pymdownx.superfences
  - attr_list
  - md_in_html
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg
  - toc:
      permalink: true

nav:
  - index.md
  - docs.md
  - support.md
  - 'Общая информация':
    - common/index.md
    - common/how-it-works.md
    - common/selection.md
    - common/checks.md
    - common/list.md
    - common/details.md
    - common/connect.md
    - common/players.md
  - 'IPTV Checker (iptvc)':
    - iptvc/index.md
    - iptvc/quickstart.md
    - iptvc/how-it-works.md
    - iptvc/env.md
    - 'Работа в терминале':
      - iptvc/cli/index.md
      - iptvc/cli/help.md
      - iptvc/cli/check.md
      - iptvc/cli/version.md
  - 'Для разработчиков':
    - dev/index.md
    - dev/local-dev.md
    - dev/tgbot.md
    - dev/docs.md
    - dev/deploy.md
  - 'Форматы файлов':
    - formats/index.md
    - 'playlists.ini': 'formats/playlists.md'
    - 'channels.json': 'formats/channels.md'
    - '*.m3u (*.m3u8)': 'formats/m3u.md'
  - 'Telegram':
    - tg/index.md
    - 'Бот': tg/bot.md
    - 'Чат': tg/chat.md
  - 'FAQ (ЧаВо)': 'faq.md'
